### Method

# Gegl Node get_producer

#### Declaration [src]

    GeglNode*
    gegl_node_get_producer (
      GeglNode* node,
      const gchar* input_pad_name,
      gchar** output_pad_name
    )

#### Description

No description available.

#### Parameters

`input_pad_name`

  Type: `const gchar*`

  The input pad we want to get the producer for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`output_pad_name`

  Type: `gchar**`

  Optional pointer to a location where we can store a freshly allocated string with the name of the output pad.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglNode`

The node providing data or NULL if no node is connected to the input_pad.

The data is owned by the instance.